| dp12txss Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XDpTxSs Struct Reference
Overview

The DisplayPort TX Subsystem driver instance data. More...

## Data Fields
XDpTxSs_Config | Config
| Hardware Configuration. More...
u32 | IsReady
| Core and the driver instance are initialized. More...
XDp * | DpPtr
| DisplayPort sub-core instance. More...
XVtc * | VtcPtr [XDPTXSS_NUM_STREAMS]
| Maximum number of VTC sub-core instances. More...
XDpTxSs_UsrOpt | UsrOpt
| User Options structure. More...
XDpTxSs_UsrHpdPulseData | UsrHpdPulseData
| User HPD Pulse data. More...
XDpTxSs_UsrHpdEventData | UsrHpdEventData
| User HPD Event data. More...

## Detailed Description

The DisplayPort TX Subsystem driver instance data.

An instance must be allocated for each core in use.

## Field Documentation

XDpTxSs_Config XDpTxSs::Config

Hardware Configuration.

Referenced by DpTxSs_HpdEventHandler(), XDpTxSs_CfgInitialize(), XDpTxSs_ReportCoreInfo(), XDpTxSs_ReportMsaInfo(), XDpTxSs_ReportVtcInfo(), XDpTxSs_Reset(), XDpTxSs_SelfTest(), and XDpTxSs_Stop().

XDp* XDpTxSs::DpPtr

DisplayPort sub-core instance.

Referenced by DpTxSs_HpdEventHandler(), DpTxSs_ReportEdidInfo(), XDpTxSs_CfgInitialize(), XDpTxSs_CheckLinkStatus(), XDpTxSs_DpIntrHandler(), XDpTxSs_GetEdid(), XDpTxSs_GetNumOfMstStreams(), XDpTxSs_GetRemoteEdid(), XDpTxSs_GetRxCapabilities(), XDpTxSs_HpdEventProcess(), XDpTxSs_HpdPulseProcess(), XDpTxSs_IsConnected(), XDpTxSs_IsMstCapable(), XDpTxSs_OverrideSyncPolarity(), XDpTxSs_ReportCoreInfo(), XDpTxSs_ReportLinkInfo(), XDpTxSs_ReportMsaInfo(), XDpTxSs_ReportSinkCapInfo(), XDpTxSs_SelfTest(), XDpTxSs_SetCallBack(), XDpTxSs_SetHasRedriverInPath(), XDpTxSs_SetLaneCount(), XDpTxSs_SetLinkRate(), XDpTxSs_SetTransportMode(), XDpTxSs_SetUserPixelWidth(), XDpTxSs_SetUserTimerHandler(), XDpTxSs_Start(), XDpTxSs_StartCustomMsa(), and XDpTxSs_Stop().

u32 XDpTxSs::IsReady

Core and the driver instance are initialized.

Referenced by XDpTxSs_CfgInitialize(), XDpTxSs_DpIntrHandler(), XDpTxSs_GetEdid(), XDpTxSs_GetRemoteEdid(), XDpTxSs_HpdEventProcess(), XDpTxSs_HpdPulseProcess(), and XDpTxSs_SetCallBack().

XDpTxSs_UsrHpdEventData XDpTxSs::UsrHpdEventData

User HPD Event data.

Referenced by XDpTxSs_HpdEventProcess().

XDpTxSs_UsrHpdPulseData XDpTxSs::UsrHpdPulseData

User HPD Pulse data.

Referenced by XDpTxSs_HpdPulseProcess().

XDpTxSs_UsrOpt XDpTxSs::UsrOpt

User Options structure.

Referenced by DpTxSs_DebugExample(), DpTxSs_HdcpExample(), DpTxSs_HpdPulseHandler(), DpTxSs_IntrExample(), DpTxSs_MstExample(), DpTxSs_ReportEdidInfo(), XDpTxSs_CfgInitialize(), XDpTxSs_ReportCoreInfo(), XDpTxSs_ReportLinkInfo(), XDpTxSs_SetBpc(), XDpTxSs_SetTransportMode(), XDpTxSs_SetVidMode(), XDpTxSs_Start(), XDpTxSs_StartCustomMsa(), XDpTxSs_VtcAdjustBSTimingDisable(), and XDpTxSs_VtcAdjustBSTimingEnable().

XVtc* XDpTxSs::VtcPtr[XDPTXSS_NUM_STREAMS]

Maximum number of VTC sub-core instances.

Referenced by XDpTxSs_CfgInitialize(), XDpTxSs_ReportCoreInfo(), XDpTxSs_ReportVtcInfo(), XDpTxSs_Reset(), XDpTxSs_SelfTest(), and XDpTxSs_Stop().